apertium-apy(1)

NAME
apertium-apy - API server for machine translation and language analysis.

SYNOPSIS
apertium-apy [ pairs_path ] path to Apertium installed pairs (all modes files in this path are included).

OPTIONS

-h, --help
    Show this help message and exit.

-s NONPAIRS_PATH, --nonpairs-path NONPAIRS_PATH
    Path to Apertium tree (only non-translator debug modes are included from this path).

-l LANG_NAMES, --lang-names LANG_NAMES
    Path to localised language names sqlite database (default = langNames.db)

-f MISSING_FREQS, --missing-freqs MISSING_FREQS
    Path to missing word frequency sqlite database (default = None)

-p PORT, --port PORT
    Port to run server on (default = 2737)

-c SSL_CERT, --ssl-cert SSL_CERT
    Path to SSL Certificate

-k SSL_KEY, --ssl-key SSL_KEY
    Path to SSL Key File

-t TIMEOUT, --timeout TIMEOUT
    Timeout for requests (default = 10)

-j NUM_PROCESSES, --num-processes NUM_PROCESSES
    Number of processes to run (default = 1; use 0 to run one http server per core, where each http server runs all available language pairs)

-d, --daemon
    Daemon mode: redirects stdout and stderr to files apertium-apy.log and apertium-apy.err; use with --log-path

-P LOG_PATH, --log-path LOG_PATH
    Path to log output files to in daemon mode; defaults to local directory

-i MAX_PIPES_PER_PAIR, --max-pipes-per-pair MAX_PIPES_PER_PAIR
    How many pipelines we can spin up per language pair (default = 1)

-n MIN_PIPES_PER_PAIR, --min-pipes-per-pair MIN_PIPES_PER_PAIR
    When shutting down pipelines, keep at least this many open per language pair (default = 0)

-u MAX_USERS_PER_PIPE, --max-users-per-pipe MAX_USERS_PER_PIPE
    How many concurrent requests per pipeline before we consider spinning up a new one (default = 5)

-m MAX_IDLE_SECS, --max-idle-secs MAX_IDLE_SECS
    If specified, shut down pipelines that have not been used in this many seconds

-r RESTART_PIPE_AFTER, --restart-pipe-after RESTART_PIPE_AFTER
    Restart a pipeline if it has had this many requests (default = 1000)

-v VERBOSITY, --verbosity VERBOSITY
    Logging verbosity.

-V, --version
    Show APY version and exit.

-S, --scalemt-logs
    Generates ScaleMT-like logs; use with --log-path; disables

-M UNKNOWN_MEMORY_LIMIT, --unknown-memory-limit UNKNOWN_MEMORY_LIMIT
    Keeps unknown words in memory until a limit is reached; use with --missing-freqs (default = 1000)

-T STAT_PERIOD_MAX_AGE, --stat-period-max-age STAT_PERIOD_MAX_AGE
    How many seconds back to keep track request timing stats (default = 3600)

-wp WIKI_PASSWORD, --wiki-password WIKI_PASSWORD
    Apertium Wiki account password for SuggestionHandler

-wu WIKI_USERNAME, --wiki-username WIKI_USERNAME
    Apertium Wiki account username for SuggestionHandler

-b, --bypass-token
    ReCAPTCHA bypass token

-rs RECAPTCHA_SECRET, --recaptcha-secret RECAPTCHA_SECRET
    ReCAPTCHA secret for suggestion validation.

-md MAX_DOC_PIPES, --max-doc-pipes MAX_DOC_PIPES
    How many concurrent document translation pipelines we allow (default = 3)

-C CONFIG, --config CONFIG
    Configuration file to load options from.

-ak API_KEYS, --api-keys API_KEYS
    Configuration file to load API keys.

Homepage
<https://github.com/apertium/apertium-apy>